> ## Name

> cgGLSetMatrixParameterArray - set the value of an array matrix parameter

> ## Synopsis

>     #include <Cg/cgGL.h>

>     /* TYPE is float or double */

>     void cgGLSetMatrixParameterArray{fd}{rc}( CGparameter param,
>                                               long offset,
>                                               long nelements,
>                                               const TYPE * v );

> ## Parameters

> param
>   The matrix array parameter that will be set.
> offset
>   An offset into the array parameter at which to start setting elements. A value of 0 will begin at the first element of the array.
> nelements
>   The number of elements to set. A value of 0 will default to the total number of elements in the array minus the value of offset.
> v
>   The array of values to which to set the parameter. This must be a contiguous set of values with size nelements times the number of elements in the matrix.

> ## Return Values

> None.

> ## Description

> The cgGLSetMatrixParameterArray functions set the value of a scalar or vector array parameter.

> There are versions of the function that take either float or double values signified by f or d in the function name.

> There are versions of the function that assume the array of values are laid out in either row or column order signified by r or c in the function name respectively.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_PROFILE_ERROR is generated if param's profile is not a supported OpenGL profile.

> CG_ARRAY_PARAM_ERROR is generated if param is not an array parameter.

> CG_NOT_MATRIX_PARAM_ERROR is generated if the elements of param are not matrix parameters.

> CG_OUT_OF_ARRAY_BOUNDS_ERROR is generated if offset or nelements is outside the bounds of param.

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

> CG_INVALID_PARAMETER_ERROR is generated if the parameter fails to set for any other reason.

> ## History

> The cgGLSetMatrixParameterArray functions were introduced in Cg 1.1.

> ## See Also

> cgGLSetMatrixParameter, cgGLGetMatrixParameterArray